跳至內容

Flashhead

整合

模型 id flashhead
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/flashhead?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: ≈$0.068 68 API 點數 在此頁面執行

取得 API 金鑰
Open model 唇形同步與虛擬角色 唇形同步 #portrait#video#streaming#real-time

將人臉圖片和輸入文字轉換為使用指定合成聲音的說話頭像影片

Open model · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

使用 ElevenLabs 進行語音合成的文字。

•必填 image_url
拖放檔案,或

以圖像 URL 提供的人臉參考;建議使用人像。

進階 voice · stability · seed
預設 Aria

ElevenLabs 的語音名稱。

預設 0.5

語音穩定性設定,範圍為 0 至 1。

控制隨機性以產生可重現結果的種子。

POST /run/flashhead?wait=20 報價 → $0.068
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/flashhead?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Flashhead

讓 `image_url` 中的人像開口說出 `text` 提供的字串。系統會為您合成語音,您可以選擇 `voice`(預設為 Aria)以及 0 到 1 之間的 `stability` 值。輸出為 512x512、25 FPS 且嘴型同步的影片,`seed` 可讓執行結果重複。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
image_url必填 image
類型url · image
以圖像 URL 提供的人臉參考;建議使用人像。
text必填
類型string
使用 ElevenLabs 進行語音合成的文字。
voice選填
類型enum
預設值Aria
AriaRogerSarahLauraCharlieGeorgeCallumRiverLiamCharlotteAliceMatildaWillJessicaEricChris
另有 4 個BrianDanielLilyBill
ElevenLabs 的語音名稱。
stability選填
類型number
預設值0.5
0 – 1
語音穩定性設定,範圍為 0 至 1。
seed選填
類型integer | null
控制隨機性以產生可重現結果的種子。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flashhead",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 68,
    "usd": "0.068",
    "charged": 68,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42,
    "duration": 5,
    "timings": {}
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}具唇形同步功能的輸出虛擬人物影片,大小為 512x512,速率為 25 FPS。
seed
integer生成期間套用的種子值。
duration
number以秒為單位的影片長度。
timings
object時間資訊詳細資料。

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/flashhead.md. 所有模型與指南: https://doitong.com/developers/llms.txt